package com.bocloud.cmp.model;

import com.bocloud.cmp.model.powervc.HostSeaAdapterModel;

import java.util.List;

public class NetworkModel {

	private String name; // 名称
	private String networkUuid; // 网络ID
	private Long switchId; // 交换机id
	private String switchUUid; // 交换机uuid
	private String type;// 网络类型
	private String status; // 状态
	private Boolean shared;// 是否共享
	private Integer portNum;// 端口数
	private Boolean adminStateup;
	private List<String> subnetIds;
	private String tenant;
	private String networkVal;
	private Boolean isRouterExternal;// 是否外部访问
	private String segmentationId;// 段Id
	private String phyNetwork;// 物理网络
	private Boolean isTenant;// 是否为租户
	private String fixedIp;// powervc浮动ip
	private Integer mtu; // powervc网络mtu信息
	private List<HostSeaAdapterModel> seas; // powervc sea信息
	private String regionId;
	private String tenantUuid;
	private String remark;
	private String opaqueNetworkType;
	private List<SubnetModel> subnets;
	private String osTenantName;
	private Long vendorId;
	private Long region;

	private String clusterUuid;

	private String localId;

	public String getLocalId() {
		return localId;
	}

	public void setLocalId(String localId) {
		this.localId = localId;
	}

	public String getClusterUuid() {
		return clusterUuid;
	}

	public void setClusterUuid(String clusterUuid) {
		this.clusterUuid = clusterUuid;
	}

	public String getRegionId() {
		return regionId;
	}

	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the networkUuid
	 */
	public String getNetworkUuid() {
		return networkUuid;
	}

	/**
	 * @param networkUuid the networkUuid to set
	 */
	public void setNetworkUuid(String networkUuid) {
		this.networkUuid = networkUuid;
	}

	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the shared
	 */
	public Boolean getShared() {
		return shared;
	}

	/**
	 * @param shared the shared to set
	 */
	public void setShared(Boolean shared) {
		this.shared = shared;
	}

	/**
	 * @return the portNum
	 */
	public Integer getPortNum() {
		return portNum;
	}

	/**
	 * @param portNum the portNum to set
	 */
	public void setPortNum(Integer portNum) {
		this.portNum = portNum;
	}

	/**
	 * @return the adminStateup
	 */
	public Boolean getAdminStateup() {
		return adminStateup;
	}

	/**
	 * @param adminStateup the adminStateup to set
	 */
	public void setAdminStateup(Boolean adminStateup) {
		this.adminStateup = adminStateup;
	}

	/**
	 * @return the tenant
	 */
	public String getTenant() {
		return tenant;
	}

	/**
	 * @param tenant the tenant to set
	 */
	public void setTenant(String tenant) {
		this.tenant = tenant;
	}

	/**
	 * @return the networkVal
	 */
	public String getNetworkVal() {
		return networkVal;
	}

	/**
	 * @param networkVal the networkVal to set
	 */
	public void setNetworkVal(String networkVal) {
		this.networkVal = networkVal;
	}

	/**
	 * @return the isRouterExternal
	 */
	public Boolean getIsRouterExternal() {
		return isRouterExternal;
	}

	/**
	 * @param isRouterExternal the isRouterExternal to set
	 */
	public void setIsRouterExternal(Boolean isRouterExternal) {
		this.isRouterExternal = isRouterExternal;
	}

	/**
	 * @return the segmentationId
	 */
	public String getSegmentationId() {
		return segmentationId;
	}

	/**
	 * @param segmentationId the segmentationId to set
	 */
	public void setSegmentationId(String segmentationId) {
		this.segmentationId = segmentationId;
	}

	/**
	 * @return the phyNetwork
	 */
	public String getPhyNetwork() {
		return phyNetwork;
	}

	/**
	 * @param phyNetwork the phyNetwork to set
	 */
	public void setPhyNetwork(String phyNetwork) {
		this.phyNetwork = phyNetwork;
	}

	/**
	 * @return the isTenant
	 */
	public Boolean getIsTenant() {
		return isTenant;
	}

	/**
	 * @param isTenant the isTenant to set
	 */
	public void setIsTenant(Boolean isTenant) {
		this.isTenant = isTenant;
	}

	public String getFixedIp() {
		return fixedIp;
	}

	public void setFixedIp(String fixedIp) {
		this.fixedIp = fixedIp;
	}

	public String getTenantUuid() {
		return tenantUuid;
	}

	public void setTenantUuid(String tenantUuid) {
		this.tenantUuid = tenantUuid;
	}

	public NetworkModel() {
		super();
	}

	public NetworkModel(String name, String networkUuid, String type, String status, Boolean shared,
			Boolean adminStateup, String tenant, String networkVal, Integer portNum) {
		super();
		this.name = name;
		this.networkUuid = networkUuid;
		this.type = type;
		this.status = status;
		this.shared = shared;
		this.adminStateup = adminStateup;
		this.tenant = tenant;
		this.networkVal = networkVal;
		this.portNum = portNum;
	}

	public NetworkModel(String name, String type, String status, Integer portNum, String networkVal) {
		super();
		this.name = name;
		this.type = type;
		this.status = status;
		this.portNum = portNum;
		this.networkVal = networkVal;
	}

	public List<String> getSubnetIds() {
		return subnetIds;
	}

	public void setSubnetIds(List<String> subnetIds) {
		this.subnetIds = subnetIds;
	}

	public Integer getMtu() {
		return mtu;
	}

	public void setMtu(Integer mtu) {
		this.mtu = mtu;
	}

	public List<SubnetModel> getSubnets() {
		return subnets;
	}

	public void setSubnets(List<SubnetModel> subnets) {
		this.subnets = subnets;
	}

	public String getOpaqueNetworkType() {
		return opaqueNetworkType;
	}

	public void setOpaqueNetworkType(String opaqueNetworkType) {
		this.opaqueNetworkType = opaqueNetworkType;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public List<HostSeaAdapterModel> getSeas() {
		return seas;
	}

	public void setSeas(List<HostSeaAdapterModel> seas) {
		this.seas = seas;
	}

	public String getOsTenantName() {
		return osTenantName;
	}

	public void setOsTenantName(String osTenantName) {
		this.osTenantName = osTenantName;
	}

	public Long getVendorId() {
		return vendorId;
	}

	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public Long getRegion() {
		return region;
	}

	public void setRegion(Long region) {
		this.region = region;
	}

	public String getSwitchUUid() {
		return switchUUid;
	}

	public void setSwitchUUid(String switchUUid) {
		this.switchUUid = switchUUid;
	}

	public Long getSwitchId() {
		return switchId;
	}

	public void setSwitchId(Long switchId) {
		this.switchId = switchId;
	}
}